aboutsummaryrefslogtreecommitdiff
path: root/bigtop-packages/src/deb/hbase
diff options
context:
space:
mode:
authorRoman Shaposhnik <rvs@apache.org>2012-02-10 18:45:15 +0000
committerRoman Shaposhnik <rvs@apache.org>2012-02-10 18:45:15 +0000
commitb0bccc8d264a59a55f1a31e6e11849b1208b4d04 (patch)
treea3c55f9e2af3743db019639092c5e40b2b480551 /bigtop-packages/src/deb/hbase
parent1935d65435921eca265c617622a728587192e413 (diff)
BIGTOP-397. hbase, sqoop and oozie don't use alternatives for managing configuration
git-svn-id: https://svn.apache.org/repos/asf/incubator/bigtop/trunk@1242880 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'bigtop-packages/src/deb/hbase')
-rw-r--r--bigtop-packages/src/deb/hbase/hbase.postinst1
-rw-r--r--bigtop-packages/src/deb/hbase/hbase.prerm57
-rwxr-xr-xbigtop-packages/src/deb/hbase/rules1
3 files changed, 59 insertions, 0 deletions
diff --git a/bigtop-packages/src/deb/hbase/hbase.postinst b/bigtop-packages/src/deb/hbase/hbase.postinst
index 8c15ce66..af03f65d 100644
--- a/bigtop-packages/src/deb/hbase/hbase.postinst
+++ b/bigtop-packages/src/deb/hbase/hbase.postinst
@@ -21,6 +21,7 @@ set -e
case "$1" in
configure)
+ update-alternatives --install /etc/hbase/conf hbase-conf /etc/hbase/conf.dist 30
chown hbase:hbase -R /var/run/hbase /var/log/hbase
;;
diff --git a/bigtop-packages/src/deb/hbase/hbase.prerm b/bigtop-packages/src/deb/hbase/hbase.prerm
new file mode 100644
index 00000000..19f2e060
--- /dev/null
+++ b/bigtop-packages/src/deb/hbase/hbase.prerm
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# prerm script for hbase
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ update-alternatives --remove hbase-conf /etc/hbase/conf.dist || :
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff --git a/bigtop-packages/src/deb/hbase/rules b/bigtop-packages/src/deb/hbase/rules
index 98740bca..403bbc3e 100755
--- a/bigtop-packages/src/deb/hbase/rules
+++ b/bigtop-packages/src/deb/hbase/rules
@@ -52,6 +52,7 @@ install: build
cp debian/hbase.default debian/${hbase_pkg_name}/etc/default/${hbase_pkg_name}
sh -x debian/install_hbase.sh \
--build-dir=. \
+ --conf-dir=/etc/hbase/conf.dist \
--doc-dir=usr/share/doc/${hbase_pkg_name}-doc \
--prefix=debian/tmp
mkdir -p debian/tmp/etc/security/limits.d